CC26xx Driver Library |

- Main Page
- Related Pages
- CC26xx APIs
- Register Descriptions
- Online Resources

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Modules Pages
Functions
[auxwuc] AUX Wake Up Controller

## Functions
void | AUXWUCClockEnable (uint32_t ui32Clocks)
| Enable clocks for peripherals in the AUX domain. More...
void | AUXWUCClockDisable (uint32_t ui32Clocks)
| Disable clocks for peripherals in the AUX domain. More...
uint32_t | AUXWUCClockStatus (uint32_t ui32Clocks)
| Get the status of a clock. More...
__STATIC_INLINE void | AUXWUCClockFreqReq (uint32_t ui32ClockFreq)
| Request a high or low frequency clock source. More...
void | AUXWUCPowerCtrl (uint32_t ui32PowerMode)
| Control the power to the AUX domain. More...
__STATIC_INLINE void | AUXWUCFreezeEnable (void)
| Freeze the AUX IOs. More...
__STATIC_INLINE void | AUXWUCFreezeDisable (void)
| Unfreeze the AUX IOs. More...

## Detailed Description

## Function Documentation

void AUXWUCClockDisable | ( | uint32_t | ui32Clocks | ) |

Disable clocks for peripherals in the AUX domain.

Use this function to enable specific clocks in the AUX domain.

Parameters

  ui32Clocks | a bitmap of clocks to disable. Use a bitwise OR combination of the following values: AUX_WUC_ADI_CLOCK AUX_WUC_OSCCTRL_CLOCK AUX_WUC_TDCIF_CLOCK AUX_WUC_SOC_CLOCK AUX_WUC_TIMER_CLOCK AUX_WUC_AIODIO0_CLOCK AUX_WUC_AIODIO1_CLOCK AUX_WUC_SMPH_CLOCK AUX_WUC_TDC_CLOCK AUX_WUC_ADC_CLOCK AUX_WUC_REF_CLOCK

Returns
  None

See also
  AUXWUCClockEnable()

Definition at line 113 of file aux_wuc.c.

Referenced by OSCInterfaceDisable().

void AUXWUCClockEnable | ( | uint32_t | ui32Clocks | ) |

Enable clocks for peripherals in the AUX domain.

Use this function to enable specific clocks in the AUX domain.

Parameters

  ui32Clocks | is a bitmap of clocks to enable. Use a bitwise OR combination of the following values: AUX_WUC_ADI_CLOCK AUX_WUC_OSCCTRL_CLOCK AUX_WUC_TDCIF_CLOCK AUX_WUC_SOC_CLOCK AUX_WUC_TIMER_CLOCK AUX_WUC_AIODIO0_CLOCK AUX_WUC_AIODIO1_CLOCK AUX_WUC_SMPH_CLOCK AUX_WUC_TDC_CLOCK AUX_WUC_ADC_CLOCK AUX_WUC_REF_CLOCK

Returns
  None

See also
  AUXWUCClockDisable()

Definition at line 64 of file aux_wuc.c.

Referenced by OSCInterfaceEnable(), and SysCtrlPowerEverything().

__STATIC_INLINE void AUXWUCClockFreqReq | ( | uint32_t | ui32ClockFreq | ) |

Request a high or low frequency clock source.

Using this function it is possible to make a request to the System Control to use a high or low frequency clock as clock source for the AUX domain.

Note
  A low freqency clock is always 32 kHz, while a high frequency clock is really a large span of frequencies determined by the clock source (High Frequency or Medium Frequency) and the setting for the clock divider for the AUX domain in the System Control.

Parameters

  ui32ClockFreq | determines the clock source frequency. AUX_WUC_CLOCK_LOFREQ : Request low frequency clock source for AUX domain. AUX_WUC_CLOCK_HIFREQ : Request high frequency clock source for AUX domain.

Returns

Definition at line 232 of file aux_wuc.h.

uint32_t AUXWUCClockStatus | ( | uint32_t | ui32Clocks | ) |

Get the status of a clock.

Use this function to poll the status of a specific clock in the AUX domain.

Parameters

  ui32Clocks | is the clock for which to return status. AUX_WUC_ADI_CLOCK AUX_WUC_OSCCTRL_CLOCK AUX_WUC_TDCIF_CLOCK AUX_WUC_SOC_CLOCK AUX_WUC_TIMER_CLOCK AUX_WUC_AIODIO0_CLOCK AUX_WUC_AIODIO1_CLOCK AUX_WUC_SMPH_CLOCK AUX_WUC_TDC_CLOCK AUX_WUC_ADC_CLOCK AUX_WUC_REF_CLOCK

Returns
  Returns the status of the clock as one of two states:
  - AUX_WUC_CLOCK_OFF
  - AUX_WUC_CLOCK_READY

Definition at line 162 of file aux_wuc.c.

Referenced by OSCInterfaceEnable(), and SysCtrlPowerEverything().

__STATIC_INLINE void AUXWUCFreezeDisable | ( | void |  | ) |

Unfreeze the AUX IOs.

When restarting the AUX domain after it has entered powerdown mode, the software can regain control of the IOs by setting the IO latches as transparent.

Note
  The IOs should not be unfrozen before software has restored the functionality of the IO.

Returns
  None

See also
  AUXWUCFreezeEnable()

Definition at line 304 of file aux_wuc.h.

__STATIC_INLINE void AUXWUCFreezeEnable | ( | void |  | ) |

Freeze the AUX IOs.

To retain the values of the output IOs during a powerdown of the AUX domain all IO latches in the AUX domain should be frozen in their current state. This ensures that software can regain control of the IOs after a powerdown without the IOs first falling back to the default values (i.e. input and pull-up).

Returns
  None

See also
  AUXWUCFreezeDisable()

Definition at line 279 of file aux_wuc.h.

void AUXWUCPowerCtrl | ( | uint32_t | ui32PowerMode | ) |

Control the power to the AUX domain.

Use this function to set the power mode of the entire AUX domain.

Parameters

  ui32PowerMode | control the desired power mode for the AUX domain. The domain has three different power modes: AUX_WUC_POWER_OFF AUX_WUC_POWER_DOWN AUX_WUC_POWER_ACTIVE

Returns
  None

Definition at line 274 of file aux_wuc.c.

Referenced by PowerCtrlStateSet().

## Macro Definition Documentation

#define AUX_WUC_ADC_CLOCK 0x00000200

Definition at line 114 of file aux_wuc.h.

Referenced by AUXWUCClockDisable(), AUXWUCClockEnable(), AUXWUCClockStatus(), and SysCtrlPowerEverything().

#define AUX_WUC_ADI_CLOCK 0x00000080

Definition at line 110 of file aux_wuc.h.

Referenced by AUXWUCClockDisable(), AUXWUCClockEnable(), AUXWUCClockStatus(), and SysCtrlPowerEverything().

#define AUX_WUC_AIODIO0_CLOCK 0x00000002

Definition at line 104 of file aux_wuc.h.

Referenced by AUXWUCClockDisable(), AUXWUCClockEnable(), AUXWUCClockStatus(), and SysCtrlPowerEverything().

#define AUX_WUC_AIODIO1_CLOCK 0x00000004

Definition at line 105 of file aux_wuc.h.

Referenced by AUXWUCClockDisable(), AUXWUCClockEnable(), AUXWUCClockStatus(), and SysCtrlPowerEverything().

#define AUX_WUC_CLOCK_HIFREQ 0x00000000

Definition at line 121 of file aux_wuc.h.

Referenced by AUXWUCClockFreqReq().

#define AUX_WUC_CLOCK_LOFREQ 0x00000001

Definition at line 122 of file aux_wuc.h.

Referenced by AUXWUCClockFreqReq().

#define AUX_WUC_CLOCK_OFF 0x00000000

Definition at line 117 of file aux_wuc.h.

Referenced by AUXWUCClockStatus().

#define AUX_WUC_CLOCK_READY 0x00000011

Definition at line 119 of file aux_wuc.h.

Referenced by AUXWUCClockStatus(), OSCInterfaceEnable(), and SysCtrlPowerEverything().

#define AUX_WUC_CLOCK_UNSTABLE 0x00000001

Definition at line 118 of file aux_wuc.h.

#define AUX_WUC_MODCLK_MASK 0x000000FF

Definition at line 111 of file aux_wuc.h.

Referenced by AUXWUCClockDisable(), and AUXWUCClockEnable().

#define AUX_WUC_OSCCTRL_CLOCK 0x00000040

Definition at line 109 of file aux_wuc.h.

Referenced by AUXWUCClockDisable(), AUXWUCClockEnable(), AUXWUCClockStatus(), OSCInterfaceDisable(), OSCInterfaceEnable(), and SysCtrlPowerEverything().

#define AUX_WUC_POWER_ACTIVE 0x00000004

Definition at line 96 of file aux_wuc.h.

Referenced by AUXWUCPowerCtrl().

#define AUX_WUC_POWER_DOWN 0x00000002

Definition at line 95 of file aux_wuc.h.

Referenced by AUXWUCPowerCtrl(), and PowerCtrlStateSet().

#define AUX_WUC_POWER_OFF 0x00000001

Definition at line 94 of file aux_wuc.h.

Referenced by AUXWUCPowerCtrl(), and PowerCtrlStateSet().

#define AUX_WUC_REF_CLOCK 0x00000400

Definition at line 115 of file aux_wuc.h.

Referenced by AUXWUCClockDisable(), AUXWUCClockEnable(), AUXWUCClockStatus(), and SysCtrlPowerEverything().

#define AUX_WUC_SMPH_CLOCK 0x00000001

Definition at line 103 of file aux_wuc.h.

Referenced by AUXWUCClockDisable(), AUXWUCClockEnable(), AUXWUCClockStatus(), and SysCtrlPowerEverything().

#define AUX_WUC_SOC_CLOCK 0x00000010

Definition at line 107 of file aux_wuc.h.

Referenced by AUXWUCClockDisable(), AUXWUCClockEnable(), AUXWUCClockStatus(), and SysCtrlPowerEverything().

#define AUX_WUC_TDC_CLOCK 0x00000100

Definition at line 113 of file aux_wuc.h.

Referenced by AUXWUCClockDisable(), AUXWUCClockEnable(), AUXWUCClockStatus(), and SysCtrlPowerEverything().

#define AUX_WUC_TDCIF_CLOCK 0x00000020

Definition at line 108 of file aux_wuc.h.

Referenced by AUXWUCClockDisable(), AUXWUCClockEnable(), AUXWUCClockStatus(), and SysCtrlPowerEverything().

#define AUX_WUC_TIMER_CLOCK 0x00000008

Definition at line 106 of file aux_wuc.h.

Referenced by AUXWUCClockDisable(), AUXWUCClockEnable(), AUXWUCClockStatus(), and SysCtrlPowerEverything().